const remove_recipes_output = (recipes) => {
  ServerEvents.recipes((event) => {
    recipes.forEach((recipe) => {
      event.remove({ output: recipe });
    });
  });
};

const remove_recipes_output_type_crafting = (recipes) => {
  // For crafting table recipes
  ServerEvents.recipes((event) => {
    recipes.forEach((recipe) => {
      event.remove([
        { type: "minecraft:crafting_shaped", output: recipe },
        { type: "minecraft:crafting_shapeless", output: recipe },
      ]);
    });
  });
};

let RecipesKeepJEI = [
    'oritech:jetpack_elytra',
    'oritech:jetpack_exo_elytra'
]

let Recipes1 = [
    'storagenetwork:chunkload_upgrade',
    'onlyhammersandexcavators:redstone_hammer',
    'onlyhammersandexcavators:lapis_hammer',
    'onlyhammersandexcavators:emerald_hammer',
    'onlyhammersandexcavators:obsidian_hammer',
    'onlyhammersandexcavators:redstone_excavator',
    'onlyhammersandexcavators:lapis_excavator',
    'onlyhammersandexcavators:emerald_excavator',
    'onlyhammersandexcavators:obsidian_excavator',
    'refinedstorage:silicon',
    'refinedstorage:processor_binding'
]

remove_recipes_output(RecipesKeepJEI);
remove_recipes_output(Recipes1);


ServerEvents.recipes((event) => {
  
  event.remove({ output: '#ls_furniture:stick', mod: 'ls_furniture' })
  event.replaceInput(
  { input: '#ls_furniture:stick', mod: 'ls_furniture' },       
  '#ls_furniture:stick',                    
  'minecraft:stick' 
)
})
RecipeViewerEvents.removeEntries('item', event => {
  event.remove(Ingredient.of('#ls_furniture:stick').except('minecraft:stick'))

  Recipes1.forEach((recipe) => {
    event.remove(recipe)
  })
})